## nipy 0.1.2+1741

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

WWW=neuroimaging@neuroimaging.scipy.org:www

# You can set these variables from the command line.
SPHINXOPTS    = #-q # suppress all output but warnings
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean pdf all dist public_html web web_public htmlonly api html pickle htmlhelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      	make HTML and API documents"
	@echo "  htmlonly  	make HTML documents only"
	@echo "  api       	make API documents only"
	@echo "  latex     	make LaTeX documents (you can set\
					PAPER=a4 or PAPER=letter)"
	@echo "  all		make HTML, API and PDF documents"
	@echo "  clean		remove all generated documents"
	@echo "  web		make full HTML website locally here:\
					www/build/html/index.html"
	@echo
	@echo "  linkcheck 	check all external links for integrity"
	@echo "  doctest   	run doctests in reST files"
	@echo "  pdf		make <latex> and run the PDF generation"
	@echo "  dist		make <all> and put results in dist/"
	@echo "  public_html	make <dist> and rsync with public website"
	@echo "  web_public	make <public_html> for both doc and www\
					directories."

# Commented these out, wasn't clear if we'd use these targets or not.
# @echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
# @echo "  htmlhelp  to make HTML files and a HTML help project"
# @echo "  changes   to make an overview over all changed/added/deprecated items"

clean:
	-rm -rf build/* dist/* *~ api/generated
	-rm -f manual

pdf: api latex
	cd build/latex && make all-pdf

all: html pdf

dist: clean all
	mkdir -p dist
	ln build/latex/nipy*.pdf dist/
	cp -al build/html dist/
	@echo "Build finished.  Final docs are in dist/"

public_html: dist
	rsync -avH --delete dist/ $(WWW)/doc/manual/

web: html
	cd www && make html
	@echo "Build web finished."

web_public: public_html
	cd www && make public_html

htmlonly:
	mkdir -p build/html build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

api:
	python ../tools/build_modref_templates.py
	@echo "Build API docs finished."

html: api htmlonly
	-ln -s build manual
	@echo "Build HTML and API finished."

pickle:
	mkdir -p build/pickle build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files or run"
	@echo "  sphinx-web build/pickle"
	@echo "to start the sphinx-web server."

htmlhelp:
	mkdir -p build/htmlhelp build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

latex:
	mkdir -p build/latex build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p build/changes build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck:
	mkdir -p build/linkcheck build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

doctest:
	mkdir -p build/doctest build/doctrees
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) build/doctest
	@echo
	@echo "The overview file is in build/doctest."

=== doc/www/Makefile ===
# Makefile for Sphinx-generated website
#

WWW=neuroimaging@neuroimaging.scipy.org:www

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html public_html pickle changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	-rm -rf *~ build

# BUG: Sometimes 'make html' hangs when running the SPHINXBUILD on the
# 'updating environment' step.  Since the www directory contains few
# files, I added a 'clean' dependencies to the 'html' target which
# prevents the hanging.
html: clean
	mkdir -p build/html build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
	-cd build && ln -s ../.. doc && cd html && ln -s ../doc doc
	@echo
	@echo "Build finished. The HTML pages are in build/html."

public_html: clean html
	rsync -avH --delete index_redirect.html $(WWW)/index.html
	rsync -avH --delete build/html/ $(WWW)/site

pickle:
	mkdir -p build/pickle build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files or run"
	@echo "  sphinx-web build/pickle"
	@echo "to start the sphinx-web server."

changes:
	mkdir -p build/changes build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck:
	mkdir -p build/linkcheck build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

## nipy 0.1.2+20100526

=== Makefile ===
# Automating common tasks for NIPY development

clean:
	find . -regex ".*\.pyc" -exec rm -rf "{}" \;
	find . -regex ".*\.so" -exec rm -rf "{}" \;
	find . -regex ".*~" -exec rm -rf "{}" \;
	find . -regex ".*#" -exec rm -rf "{}" \;
	rm -rf build

dev: clean
	python setup.py build_ext --inplace
	./tools/mynipy

test:
	cd .. && python -c 'import nipy; nipy.test()'

build:
	python setup.py build

install:
	python setup.py install

=== doc/Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
 # Makefile for Sphinx documentation
 #
 
-WWW=neuroimaging@neuroimaging.scipy.org:www
+SOURCEFORGE_USER ?= matthewbrett
+WWW=$(SOURCEFORGE_USER),nipy@web.sourceforge.net:htdocs/nipy
 
 # You can set these variables from the command line.
 SPHINXOPTS    = #-q # suppress all output but warnings
@@ -24,16 +25,12 @@
 					PAPER=a4 or PAPER=letter)"
 	@echo "  all		make HTML, API and PDF documents"
 	@echo "  clean		remove all generated documents"
-	@echo "  web		make full HTML website locally here:\
-					www/build/html/index.html"
 	@echo
 	@echo "  linkcheck 	check all external links for integrity"
 	@echo "  doctest   	run doctests in reST files"
 	@echo "  pdf		make <latex> and run the PDF generation"
 	@echo "  dist		make <all> and put results in dist/"
 	@echo "  public_html	make <dist> and rsync with public website"
-	@echo "  web_public	make <public_html> for both doc and www\
-					directories."
 
 # Commented these out, wasn't clear if we'd use these targets or not.
 # @echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
@@ -44,7 +41,7 @@
 	-rm -rf build/* dist/* *~ api/generated
 	-rm -f manual
 
-pdf: api latex
+pdf: latex
 	cd build/latex && make all-pdf
 
 all: html pdf
@@ -52,18 +49,11 @@
 dist: clean all
 	mkdir -p dist
 	ln build/latex/nipy*.pdf dist/
-	cp -al build/html dist/
+	cp -al build/html/* dist/
 	@echo "Build finished.  Final docs are in dist/"
 
 public_html: dist
-	rsync -avH --delete dist/ $(WWW)/doc/manual/
-
-web: html
-	cd www && make html
-	@echo "Build web finished."
-
-web_public: public_html
-	cd www && make public_html
+	rsync -avH --delete dist/* $(WWW)
 
 htmlonly:
 	mkdir -p build/html build/doctrees
@@ -78,6 +68,9 @@
 html: api htmlonly
 	-ln -s build manual
 	@echo "Build HTML and API finished."
+
+gitwash-update:
+	python ../tools/gitwash_dumper.py devel/guidelines nipy
 
 pickle:
 	mkdir -p build/pickle build/doctrees
@@ -94,7 +87,7 @@
 	@echo "Build finished; now you can run HTML Help Workshop with the" \
 	      ".hhp project file in build/htmlhelp."
 
-latex:
+latex: api
 	mkdir -p build/latex build/doctrees
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
 	@echo

=== debian/changelog ===
nipy (0.1.2+20100526-2) unstable; urgency=medium

  * Strict version dependency on NumPy to assure ABI compatibility in the
    future (Closes: #590737). Thanks Kumar Appaiah for the reminder.
  * debian/copyright:
    - Added missing copyrights/licenses
    - Adjusted formatting to match DEP5 rev 135
    - Citing BSD-3 license verbatim to be compliant with 3.9.0
  * Boosted policy compliance to 3.9.1 (BSD-3 license verbatim)
  * Medium urgency for faster propagation of RC bug fix into squeeze
  * Added gbp.conf file for easy building using g-b-p

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 06 Aug 2010 11:17:05 -0400

nipy (0.1.2+20100526-1) unstable; urgency=low

  * Fresh upstream snapshot -- needed a new orig.tar.gz since some
    files were moved/removed
  * Switching to dh from cdbs:
    - Assure no documentation is built during binary-arch builds
      (closes: #581204, #581783)
    - Build for all supported Python versions
    - Expanded Build-Depends with all necessary -dbg packages
      (e.g. cython-dbg, python-all-dbg)
    - Added dvipng into Build-Depends for avoiding problems during
      documentation build

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 11 May 2010 21:17:20 -0400

nipy (0.1.2+20100505-1) unstable; urgency=low

  * Fresh upstream snapshot (Closes: #577898). Switching from bzr rev to
    git dated versioning for nipy for now
  * Debian packaging moved to be on top of a newly created
    git repository for nipy upstream
  * Adhering to a new deb source format 3.0 (quilt)
  * Policy compliance to 3.8.4 (no changes due)
  * Switching over to NeuroDebian team
  * -doc: no pdf's for Documentation (removed texlive,
    texlive-latex-extra from Build-Depends) (Closes: #567757)
  * Confirming (and refactoring) NMUs from Kumar (THANKS!):
    + As promised, closing the issue with absent i386 builds (Closes: #562246)
    + Adding both PATH= and MPLCONFIGDIR= for building docs
    + Addressed fortran binding issue with patchless solution:
      unexport of LDFLAGS in debian/rules which brings -shared back
      to game (see #535699 for more information)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 04 May 2010 23:01:12 -0400

nipy (0.1.2+1741-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Use $(CURDIR) instead of $(PWD) in debian/rules. (Closes: #535699)

 -- Kumar Appaiah <akumar@debian.org>  Sun, 31 Jan 2010 08:40:11 -0600

nipy (0.1.2+1741-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS: Tries to write to $HOME during build" using Peter Green's
    patch.
  * In addition, make package buildable by hacking the build system to use
    -shared and -lpython<ver> for all gfortran using modules. (Closes:
    #535699)

 -- Kumar Appaiah <akumar@debian.org>  Sun, 31 Jan 2010 00:40:11 -0600

nipy (0.1.2+1741-2) unstable; urgency=low

  * Adjusted long descriptions to follow the guidelines and to become
    complete sentences with redundant prefixes (closes: #532860)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 12 Jun 2009 16:56:54 -0400

nipy (0.1.2+1741-1) unstable; urgency=low

  * Initial release (Closes: #522353)

 -- Experimental Psychology Maintainers <pkg-exppsy-maintainers@lists.alioth.debian.org>  Tue, 14 Apr 2009 18:21:44 -0400

=== debian/control ===
Source: nipy
Section: python
Priority: extra
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: cdbs, debhelper (>= 7.0.50~), python-all-dev (>= 2.4), python-support (>= 0.6), python-scipy (>= 0.5), python-numpy (>= 1.2), python-matplotlib (>= 0.98.3), python-sphinx (>= 0.6), python-nifti (>> 0.20090302), liblapack-dev, python-nose, python-sympy, cython, liblapack-dev, python-all-dbg, python-numpy-dbg, python-scipy-dbg, cython-dbg, graphviz, dvipng
Standards-Version: 3.9.1
Homepage: http://neuroimaging.scipy.org
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/nipy.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/nipy.git
DM-Upload-Allowed: yes


Package: python-nipy
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-scipy, python-numpy (>=1.2), python-nifti (>> 0.20090302), python-nipy-lib (>= ${source:Version})
Recommends: python-matplotlib, mayavi2
Suggests: python-mvpa
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Analysis of structural and functional neuroimaging data
 NiPy is a Python-based framework for the analysis of structural and
 functional neuroimaging data. It currently has a full system for
 general linear modeling of functional magnetic resonance imaging
 (fMRI).


Package: python-nipy-lib
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Analysis of structural and functional neuroimaging data
 NiPy is a Python-based framework for the analysis of structural and
 functional neuroimaging data. It currently has a full system for
 general linear modeling of functional magnetic resonance imaging
 (fMRI).
 .
 This package provides architecture-dependent builds of the libraries.


Package: python-nipy-lib-dbg
Architecture: any
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-nipy-lib (= ${binary:Version})
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Analysis of structural and functional neuroimaging data
 NiPy is a Python-based framework for the analysis of structural and
 functional neuroimaging data. It currently has a full system for
 general linear modeling of functional magnetic resonance imaging
 (fMRI).
 .
 This package provides debugging symbols for architecture-dependent
 builds of the libraries.


Package: python-nipy-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-jquery
Recommends: python-nipy
Description: documention and examples for NiPy
 This package contains NiPy documentation in various formats (HTML,
 TXT) including
  * User manual
  * Developer guidelines
  * API documentation

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

PYVER = $(shell pyversions -vd)

# To fix distutils fragile nature: when seing LDFLAGS=, which is set
# by dpkg-buildpackage it stops providing -shared flag, so for the
# minimalistic fix (alternative to NMU-ed #535699 with explicit
# -shared) we just unexport LDFLAGS
unexport LDFLAGS

# Mega rule
%:
	dh --buildsystem=python_distutils $@

override_dh_auto_test:
	: # I: Tests are ran but allowed to fail for now
	dh_auto_test || :

#
# Documentation
#
doc-stamp: build
	: # I: Generate documentation
	export PYTHONPATH=$$PWD/`/bin/ls -d build/lib.*$(PYVER)` \
		   MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
     cd doc; $(MAKE) html
	: # I: Use jquery from Debian package
	-rm doc/build/html/_static/jquery.js
	touch $@


# Lets sort things around from debian/tmp
override_dh_auto_install:
	dh_auto_install
	: # I: Move libraries into the python-nipy-lib and -lib-dbg packages
	find debian/tmp/ -iname *.so | \
	  while read so; do \
	    d=$$(dirname $$so); \
		if [ $${so%_d.so} = $${so} ]; then suf=""; else suf="-dbg"; fi; \
	    d=$$(echo $$d | sed -e "s,debian/tmp/,debian/python-nipy-lib$$suf/,g"); \
	    mkdir -p $$d; echo "Moving $$so under $$d"; mv $$so $$d; \
	  done
	: # I: Move leftovers into python-nipy
	mkdir -p debian/python-nipy
	mv debian/tmp/* debian/python-nipy/
	: # I: Fix up interpreter which might be -dbg one
	sed -i -e 's,/usr/bin/python-dbg,/usr/bin/python,g' debian/python-nipy/usr/bin/*
	: # I: Assure versioned dependency on NumPy
	if [ -x /usr/bin/dh_numpy ]; then dh_numpy;	fi

## immediately useable documentation and exemplar scripts/data
override_dh_compress:
	: # I: Avoiding compression of what should not be compressed
	dh_compress -X.py -X.html -X.pdf -X.css -X.jpg -X.txt -X.js -X.json -X.rtc

override_dh_clean:
	: # I: Custom cleaning
	rm -rf build doc-stamp nipy/neurospin/__config__.py
	$(MAKE) -C doc clean
	dh_clean


# We build documentation only for -indep
binary-indep: doc-stamp

binary: binary-arch binary-indep

## nipy 0.1.2+20110114

=== Makefile ===
# Automating common tasks for NIPY development

PYTHON = python

clean:
	find . -regex ".*\.pyc" -exec rm -rf "{}" \;
	find . -regex ".*\.so" -exec rm -rf "{}" \;
	find . -regex ".*\.pyd" -exec rm -rf "{}" \;
	find . -regex ".*~" -exec rm -rf "{}" \;
	find . -regex ".*#" -exec rm -rf "{}" \;
	rm -rf build
	$(MAKE) -C doc clean

dev: clean
	python setup.py build_ext --inplace

test:
	cd .. && python -c 'import nipy; nipy.test()'

build:
	python setup.py build

install:
	python setup.py install

# Update nisext subtree from remote
update-nisext:
	git fetch nisext
	git merge --squash -s subtree --no-commit nisext/master

# Print out info for possible install methods
check-version-info:
	$(PYTHON) -c 'from nisext.testers import info_from_here; info_from_here("nipy")'

=== doc/Makefile ===
--- 
+++ 
@@ -31,6 +31,7 @@
 	@echo "  pdf		make <latex> and run the PDF generation"
 	@echo "  dist		make <all> and put results in dist/"
 	@echo "  public_html	make <dist> and rsync with public website"
+	@echo "  gitwash-update update git workflow from source repo"
 
 # Commented these out, wasn't clear if we'd use these targets or not.
 # @echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
@@ -38,7 +39,7 @@
 # @echo "  changes   to make an overview over all changed/added/deprecated items"
 
 clean:
-	-rm -rf build/* dist/* *~ api/generated
+	-rm -rf build/* dist/* *~ api/generated neurospin/generated
 	-rm -f manual
 
 pdf: latex

=== newdoc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html api htmlonly latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      make the HTML documentation"
	@echo "  api       	make API documents only"
	@echo "  latex     make the LaTeX, you can set PAPER=a4 or PAPER=letter"
	@echo "  pdf		make <latex> and run the PDF generation"
	@echo "  changes   make an overview of all changed/added/deprecated" \
	      		"items (ChangeLog)"
	@echo "  linkcheck check all external links for integrity"
	@echo "  doctest   run all doctests embedded in the documentation"
	@echo "  sf_cburns copy html files to sourceforge (cburns only)"

clean:
	-rm -rf _build/* *~ api/generated

htmlonly:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

api:    
	python ../tools/build_modref_templates.py
	@echo "Build API docs finished."

html: htmlonly
	@echo "Build HTML and API finished."

latex: api
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."
pdf: latex
	cd _build/latex && make all-pdf

all: html pdf

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

# Sourceforge doesn't appear to have a way of copying the files
# without specifying a username.  So we'll probably have one target
# for each project admin
sf_cburns:
	@echo "Copying html files to sourceforge..."
	scp -r _build/html/* cburns,nipy@web.sourceforge.net:htdocs/nipy/

=== debian/changelog ===
nipy (0.1.2+20110114-1) unstable; urgency=low

  * Fresh upstream snapshot: 136acf09beff315226e4cfa07066b1f5998e9d5e
    * Carries numpydoc compatible with sphinx >= 1.0 (Closes: #588625)
  * Do not compress objects.inv necessary for intersphinx (Closes: #608763)
  * Added few patches (submitted upstream) to fix building of documentation
    - 0001-make-few-classes-new-style-derive-from-object.patch
    - 0002-make-classes-without-new-style-derive-from-object.patch
    - 0003-import-similarity_measures-as-_sms-in-histogram_regi.patch
  * Adjusted debian/rules:
    - run unittests now against default python version
      on the installed version of nipy.  Skipped unittests due to known
      failures or non-labile tests subject to random data:
  	  test_slice_from_3d, test_screen, test_lips3_disjoint, test_mu2tet,
      test_input_effects, test_same_basis, test_fullrank, test_ec,
  	  test_apply_affine, test_lips1_disjoint, test_dtrsm
    - assure Agg matplotlib backend during documentation build and unittests
  * Added *-dsc-patch-nodbg backport-dsc patches to avoid building of -dbg
    package since python-scipy-dbg is missing on lenny or ubuntu releases
    prior maverick (not sufficient anyways due to other missing versioned
    build-dependencies atm -- matplotlib, sympy)
  * Versioned Build-Dependency sympy >= 0.6.6

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 14 Jan 2011 19:33:28 -0500

nipy (0.1.2+20101206-1) UNRELEASED; urgency=low

  * Fresh upstream snapshot: a0fd6c6c62d91315cdeb8bc81e19f355b12f8013
    Never officially released, thus changelogs moved upstairs

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 13 Jan 2011 21:02:35 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,13 @@
 Priority: extra
 Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
-Build-Depends: cdbs, debhelper (>= 7.0.50~), python-all-dev (>= 2.4), python-support (>= 0.6), python-scipy (>= 0.5), python-numpy (>= 1.2), python-matplotlib (>= 0.98.3), python-sphinx (>= 0.6), python-nifti (>> 0.20090302), liblapack-dev, python-nose, python-sympy, cython, liblapack-dev, python-all-dbg, python-numpy-dbg, python-scipy-dbg, cython-dbg, graphviz, dvipng
+Build-Depends: cdbs, debhelper (>= 7.0.50~), python-all-dev (>= 2.4), python-support (>= 0.6),
+			   python-scipy (>= 0.5), python-numpy (>= 1.2), python-matplotlib (>= 0.98.3),
+			   python-sphinx (>= 0.6), cython,
+			   python-nifti (>> 0.20090302), python-nose, python-sympy (>= 0.6.6),
+			   liblapack-dev,
+			   python-all-dbg, python-numpy-dbg, python-scipy-dbg, cython-dbg,
+			   graphviz, dvipng
 Standards-Version: 3.9.1
 Homepage: http://neuroimaging.scipy.org
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/nipy.git

=== debian/rules ===
--- 
+++ 
@@ -14,13 +14,16 @@
 	dh --buildsystem=python_distutils $@
 
 override_dh_auto_test:
-	: # I: Tests are ran but allowed to fail for now
-	dh_auto_test || :
+    : # Do not test just after build, lets install and then test
+
+override_dh_auto_build:
+	dh_auto_build
+	echo "backend : Agg" >| build/matplotlibrc
 
 #
 # Documentation
 #
-doc-stamp: build
+doc-stamp:
 	: # I: Generate documentation
 	export PYTHONPATH=$$PWD/`/bin/ls -d build/lib.*$(PYVER)` \
 		   MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
@@ -30,9 +33,17 @@
 	touch $@
 
 
-# Lets sort things around from debian/tmp
-override_dh_auto_install:
-	dh_auto_install
+#override_dh_auto_install:
+#	dh_auto_install
+
+test:
+	: # I: Unittest only the default python version for now against "installed" materials
+	cd debian; \
+	 PYTHONPATH=$$(/bin/ls -d $(CURDIR)/debian/tmp/usr/lib/python$(PYVER)/*-packages) \
+	 MPLCONFIGDIR=$(CURDIR)/build \
+	  nosetests -s -v -e 'test_(slice_from_3d|screen|lips1_disjoint|lips3_disjoint|mu2tet|input_effects|same_basis|fullrank|ec|apply_affine|dtrsm)' nipy
+
+override_dh_install: test
 	: # I: Move libraries into the python-nipy-lib and -lib-dbg packages
 	find debian/tmp/ -iname *.so | \
 	  while read so; do \
@@ -49,10 +60,14 @@
 	: # I: Assure versioned dependency on NumPy
 	if [ -x /usr/bin/dh_numpy ]; then dh_numpy;	fi
 
+	dh_install
+
+
 ## immediately useable documentation and exemplar scripts/data
 override_dh_compress:
 	: # I: Avoiding compression of what should not be compressed
-	dh_compress -X.py -X.html -X.pdf -X.css -X.jpg -X.txt -X.js -X.json -X.rtc
+	dh_compress -X.py -X.html -X.pdf -X.css -X.jpg -X.txt -X.js -X.json -X.rtc -Xobjects.inv
+
 
 override_dh_clean:
 	: # I: Custom cleaning

## nipy 0.1.2+201100720

=== Makefile ===
--- 
+++ 
@@ -23,11 +23,6 @@
 install:
 	python setup.py install
 
-# Update nisext subtree from remote
-update-nisext:
-	git fetch nisext
-	git merge --squash -s subtree --no-commit nisext/master
-
 # Print out info for possible install methods
 check-version-info:
 	$(PYTHON) -c 'from nisext.testers import info_from_here; info_from_here("nipy")'

=== doc/Makefile ===
--- 
+++ 
@@ -39,7 +39,7 @@
 # @echo "  changes   to make an overview over all changed/added/deprecated items"
 
 clean:
-	-rm -rf build/* dist/* *~ api/generated neurospin/generated
+	-rm -rf build/* dist/* *~ api/generated labs/generated
 	-rm -f manual
 
 pdf: latex

=== debian/changelog ===
nipy (0.1.2+201100720-2~nd09.10+1) karmic; urgency=low

  * Backported for karmic.
  * Applied additional patch from debian/patches/karmic-dsc-patch-nodbg.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Sun, 24 Jul 2011 02:40:34 -0400

nipy (0.1.2+201100720-2) unstable; urgency=low

  * Merged commits from upstream contributed by Matthew Brett to fix failing
    unittests on big-endians.  Current upstream point:
    upstream/0.1.2+20110404-74-g698b432

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 23 Jul 2011 22:34:15 -0400

nipy (0.1.2+201100720-1) unstable; urgency=low

  * Fresh upstream snapshot: 2c11ae604762105a4adaa46c57e95dc1998485eb
    - might address FTBFS due to tests on some architectures

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 20 Jul 2011 10:01:30 -0400

nipy (0.1.2+20110404-1) unstable; urgency=low

  * Fresh upstream snapshot: c213cc2421686b5485e43db54ec2ac8a5fa06ea6
    - Relies on external nibabel module instead of internal outdated
      copy.  Should close 611316, which would be done upon successfull
      build across the architectures.
  	- Does not use PyNIfTI any longer, so it is removed from *Depends
      now
    - Absorbed all Debian patches
  * No cdbs was used since nearly a year ago -- removed it from Build-Depends

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 04 Apr 2011 09:54:56 -0400

=== debian/control ===
Source: nipy
Section: python
Priority: extra
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.4), python-support (>= 0.6),
			   python-scipy (>= 0.5), python-numpy (>= 1.2), python-matplotlib (>= 0.98.3),
			   python-sphinx (>= 0.6), cython,
			   python-nibabel, python-nose, python-sympy (>= 0.6.6),
			   liblapack-dev,
			   graphviz, dvipng
Standards-Version: 3.9.1
Homepage: http://neuroimaging.scipy.org
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/nipy.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/nipy.git


Package: python-nipy
Architecture: all
Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
         python-scipy, python-numpy (>=1.2),
         python-nibabel,
         python-nipy-lib (>= ${source:Version})
Recommends: python-matplotlib, mayavi2
Suggests: python-mvpa
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Analysis of structural and functional neuroimaging data
 NiPy is a Python-based framework for the analysis of structural and
 functional neuroimaging data. It currently has a full system for
 general linear modeling of functional magnetic resonance imaging
 (fMRI).


Package: python-nipy-lib
Architecture: any
Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Analysis of structural and functional neuroimaging data
 NiPy is a Python-based framework for the analysis of structural and
 functional neuroimaging data. It currently has a full system for
 general linear modeling of functional magnetic resonance imaging
 (fMRI).
 .
 This package provides architecture-dependent builds of the libraries.


Package: python-nipy-doc
Architecture: all
Section: doc
Depends: neurodebian-popularity-contest, ${misc:Depends}, libjs-jquery
Recommends: python-nipy
Description: documentation and examples for NiPy
 This package contains NiPy documentation in various formats (HTML,
 TXT) including
  * User manual
  * Developer guidelines
  * API documentation

## nipy 0.1.999

=== Makefile ===
# Automating common tasks for NIPY development

PYTHON = python

clean-pyc:
	find . -regex ".*\.pyc" -exec rm -rf "{}" \;

clean: clean-pyc
	find . -regex ".*\.so" -exec rm -rf "{}" \;
	find . -regex ".*\.pyd" -exec rm -rf "{}" \;
	find . -regex ".*~" -exec rm -rf "{}" \;
	find . -regex ".*#" -exec rm -rf "{}" \;
	rm -rf build
	$(MAKE) -C doc clean

clean-dev: clean dev

dev: cythonize
	$(PYTHON) setup.py build_ext --inplace

test:
	cd .. && $(PYTHON) -c 'import nipy; nipy.test()'

build:
	$(PYTHON) setup.py build

install:
	$(PYTHON) setup.py install

cythonize:
	$(PYTHON) tools/nicythize

# Print out info for possible install methods
check-version-info:
	$(PYTHON) -c 'from nisext.testers import info_from_here; info_from_here("nipy")'

=== debian/changelog ===
nipy (0.1.999-2~nd10.04+1) lucid; urgency=low

  * Backported for lucid.
  * Applied additional patch from debian/patches/lucid-dsc-patch-nodbg.
  * Applied additional patch from debian/patches/lucid-dsc-patch-nodoc.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Sun, 12 Feb 2012 14:14:46 -0500

nipy (0.1.999-2) unstable; urgency=low

  * Recommend sympy (thanks Chris Filo Gorgolewski for the report)
  * Respect PYTHONPATH while running tests

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 12 Feb 2012 10:59:44 -0500

nipy (0.1.999-1) unstable; urgency=low

  * Alpha release in preparation for upcoming 0.2.0 release (Closes: #581394)
  * No changes within upstream codebase (Closes: #643225)
  * Do not unittest if nocheck is provided (Closes: #649620)
  * Boosted policy compliance to 3.9.2 -- no changes
  * Patch lucid-dsc-patch-nodoc to avoid trying to build -doc on lucid
    due to the failure to install needed build-depends

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 27 Nov 2011 22:06:21 -0500

=== debian/control ===
Source: nipy
Section: python
Priority: extra
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.5), python-support (>= 0.6),
			   python-scipy (>= 0.5), python-numpy (>= 1.2), python-matplotlib (>= 0.98.3),
			   cython,
			   python-nibabel, python-nose, python-sympy (>= 0.6.6),
			   liblapack-dev,
Standards-Version: 3.9.2
Homepage: http://neuroimaging.scipy.org
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/nipy.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/nipy.git


Package: python-nipy
Architecture: all
Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
         python-scipy, python-numpy (>=1.2),
         python-nibabel,
         python-nipy-lib (>= ${source:Version}),
Recommends: python-matplotlib,
         mayavi2,
         python-sympy,
Suggests: python-mvpa
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Analysis of structural and functional neuroimaging data
 NiPy is a Python-based framework for the analysis of structural and
 functional neuroimaging data.  It provides functionality for
  - General linear model (GLM) statistical analysis
  - Combined slice time correction and motion correction
  - General image registration routines with flexible cost functions,
    optimizers and re-sampling schemes
  - Image segmentation
  - Basic visualization of results in 2D and 3D
  - Basic time series diagnostics
  - Clustering and activation pattern analysis across subjects
  - Reproducibility analysis for group studies


Package: python-nipy-lib
Architecture: any
Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Analysis of structural and functional neuroimaging data
 NiPy is a Python-based framework for the analysis of structural and
 functional neuroimaging data.
 .
 This package provides architecture-dependent builds of the libraries.

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
+
+export DH_VERBOSE=1
 
 PYVER = $(shell pyversions -vd)
 
@@ -37,11 +39,15 @@
 #	dh_auto_install
 
 test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	: # I: Unittest only the default python version for now against "installed" materials
 	cd debian; \
-	 PYTHONPATH=$$(/bin/ls -d $(CURDIR)/debian/tmp/usr/lib/python$(PYVER)/*-packages) \
-	 MPLCONFIGDIR=$(CURDIR)/build \
-	  nosetests -s -v -e 'test_(slice_from_3d|screen|lips1_disjoint|lips3_disjoint|mu2tet|input_effects|same_basis|fullrank|ec|apply_affine|dtrsm)' nipy
+	 PYTHONPATH=$$(/bin/ls -d $(CURDIR)/debian/tmp/usr/lib/python$(PYVER)/*-packages):$$PYTHONPATH \
+     MPLCONFIGDIR=$(CURDIR)/build \
+	  ../tools/nipnost nipy
+else
+	: # Skip unittests due to nocheck
+endif
 
 override_dh_install: test
 	: # I: Move libraries into the python-nipy-lib and -lib-dbg packages
@@ -72,11 +78,11 @@
 override_dh_clean:
 	: # I: Custom cleaning
 	rm -rf build doc-stamp nipy/neurospin/__config__.py
-	$(MAKE) -C doc clean
+	#$(MAKE) -C doc clean
 	dh_clean
 
 
 # We build documentation only for -indep
-binary-indep: doc-stamp
+binary-indep:
 
 binary: binary-arch binary-indep

## nipy 0.2.0

=== Makefile ===
--- 
+++ 
@@ -15,6 +15,23 @@
 
 clean-dev: clean dev
 
+distclean: clean
+	-rm MANIFEST
+	-rm $(COVERAGE_REPORT)
+	@find . -name '*.py[co]' \
+		 -o -name '*.a' \
+		 -o -name '*,cover' \
+		 -o -name '.coverage' \
+		 -o -iname '*~' \
+		 -o -iname '*.kcache' \
+		 -o -iname '*.pstats' \
+		 -o -iname '*.prof' \
+		 -o -iname '#*#' | xargs -L10 rm -f
+	-rm -r dist
+	-rm build-stamp
+	-rm -r .tox
+	-git clean -fxd
+
 dev: cythonize
 	$(PYTHON) setup.py build_ext --inplace
 
@@ -30,7 +47,59 @@
 cythonize:
 	$(PYTHON) tools/nicythize
 
+bdist_rpm:
+	$(PYTHON) setup.py bdist_rpm \
+	  --doc-files "doc" \
+	  --packager "nipy authors <http://mail.scipy.org/mailman/listinfo/nipy-devel>"
+	  --vendor "nipy authors <http://mail.scipy.org/mailman/listinfo/nipy-devel>"
+
+
+# build MacOS installer -- depends on patched bdist_mpkg for Leopard
+bdist_mpkg:
+	$(PYTHON) tools/mpkg_wrapper.py setup.py install
+
+# Check for files not installed
+check-files:
+	$(PYTHON) -c 'from nisext.testers import check_files; check_files("nipy")'
+
 # Print out info for possible install methods
 check-version-info:
 	$(PYTHON) -c 'from nisext.testers import info_from_here; info_from_here("nipy")'
 
+# Run tests from installed code
+installed-tests:
+	$(PYTHON) -c 'from nisext.testers import tests_installed; tests_installed("nipy")'
+
+# Run tests from sdist archive of code
+sdist-tests:
+	$(PYTHON) -c 'from nisext.testers import sdist_tests; sdist_tests("nipy")'
+
+# Run tests from bdist egg of code
+bdist-egg-tests:
+	$(PYTHON) -c 'from nisext.testers import bdist_egg_tests; bdist_egg_tests("nipy")'
+
+source-release: distclean
+	python -m compileall .
+	make distclean
+	python setup.py sdist --formats=gztar,zip
+
+venv-tests:
+	# I use this for python2.5 because the sdist-tests target doesn't work
+	# (the tester routine uses a 2.6 feature)
+	make distclean
+	- rm -rf $(VIRTUAL_ENV)/lib/python$(PYVER)/site-packages/nipy
+	python setup.py install
+	cd .. && nosetests $(VIRTUAL_ENV)/lib/python$(PYVER)/site-packages/nipy
+
+tox-fresh:
+	# tox tests with fresh-installed virtualenvs.  Needs network.  And
+	# pytox, obviously.
+	tox -c tox.ini
+
+tox-stale:
+	# tox tests with MB's already-installed virtualenvs (numpy and nose
+	# installed)
+	tox -e python25,python26,python27,python32,np-1.2.1
+
+.PHONY: orig-src pylint
+

=== debian/changelog ===
nipy (0.2.0-1) unstable; urgency=low

  * New upstream release: documentation and example improvements and
    functionality fixes since rc2.
  * Updated debian/patches/lucid-dsc-patch-nodoc to build no -doc package
    on older releases

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 22 Jul 2012 10:50:06 -0400

nipy (0.2.0~rc2+git27-g7b9b5a5-1) unstable; urgency=low

  * New upstream pre-release snapshot from origin/master at
    0.2.0rc2-27-g7b9b5a5

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 30 Jun 2012 00:02:45 -0400

nipy (0.2.0~rc2-1) unstable; urgency=low

  * Fresh RC (Closes: #673489)
    - addresses python 2.5 compatibility
  * debian/watch
    - added to fetch from github tags

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 19 Jun 2012 21:03:28 -0400

nipy (0.2.0~rc1+git170-g5d2dc33-1) unstable; urgency=low

  * Yet another development release snapshot not intended for public
    - based on current master 6fc3af4
      with pull requests #171 and #183 merged
  * Boosted policy compliance to 3.9.3 -- no changes
  * debian/copyright: removed obsolete entries, adjusted for DEP5

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 12 May 2012 22:19:00 -0400

nipy (0.2.0~rc1-1) experimental; urgency=low

  * Release candidate
  * Add epoch to versioned depends on numpy (Closes: #658372)
    (Thanks Jakub Wilk for the report and patch)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 30 Apr 2012 11:36:17 -0400

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: nipy
 Section: python
 Priority: extra
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.5), python-support (>= 0.6),
-			   python-scipy (>= 0.5), python-numpy (>= 1.2), python-matplotlib (>= 0.98.3),
-			   cython,
+			   python-scipy (>= 0.5), python-numpy (>= 1:1.2), python-matplotlib (>= 0.98.3),
+			   python-sphinx (>= 0.6), cython,
 			   python-nibabel, python-nose, python-sympy (>= 0.6.6),
 			   liblapack-dev,
-Standards-Version: 3.9.2
+			   python-all-dbg, python-numpy-dbg, python-scipy-dbg, cython-dbg,
+			   graphviz, dvipng
+Standards-Version: 3.9.3
 Homepage: http://neuroimaging.scipy.org
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/nipy.git
 Vcs-Git: git://git.debian.org/git/pkg-exppsy/nipy.git
@@ -17,8 +18,8 @@
 
 Package: python-nipy
 Architecture: all
-Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
-         python-scipy, python-numpy (>=1.2),
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
+         python-scipy, python-numpy (>= 1:1.2),
          python-nibabel,
          python-nipy-lib (>= ${source:Version}),
 Recommends: python-matplotlib,
@@ -43,7 +44,7 @@
 
 Package: python-nipy-lib
 Architecture: any
-Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
 Description: Analysis of structural and functional neuroimaging data
@@ -52,3 +53,30 @@
  .
  This package provides architecture-dependent builds of the libraries.
 
+
+Package: python-nipy-lib-dbg
+Architecture: any
+Section: debug
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
+         python-nipy-lib (= ${binary:Version})
+Provides: ${python:Provides}
+XB-Python-Version: ${python:Versions}
+Description: Analysis of structural and functional neuroimaging data
+ NiPy is a Python-based framework for the analysis of structural and
+ functional neuroimaging data.
+ .
+ This package provides debugging symbols for architecture-dependent
+ builds of the libraries.
+
+
+Package: python-nipy-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}, libjs-jquery
+Recommends: python-nipy
+Description: documentation and examples for NiPy
+ This package contains NiPy documentation in various formats (HTML,
+ TXT) including
+  * User manual
+  * Developer guidelines
+  * API documentation

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
opts="filenamemangle=s/.*\/(.*)/nipy-$1\.tar\.gz/" \
  http://github.com/nipy/nipy/tags .*tarball/(\d[\d\.a-z]+)
